Package org.eclipse.emf.spi.cdo

## Class InternalCDOSession.MergeData

- java.lang.Object
- - org.eclipse.emf.spi.cdo.InternalCDOSession.MergeData

- Enclosing interface:
    InternalCDOSession

      public static final class InternalCDOSession.MergeData
      extends java.lang.Object

  A data structure that holds all input and output values of `InternalCDOSession.getMergeData()`.
  Since:
    4.2
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---

    `MergeData​(CDOBranchPoint target, CDOBranchPoint source, CDOBranchPoint sourceBase, CDOBranchPoint targetBase, CDORevisionAvailabilityInfo targetInfo, CDORevisionAvailabilityInfo sourceInfo, CDORevisionAvailabilityInfo sourceBaseInfo, CDORevisionAvailabilityInfo targetBaseInfo, java.util.Set<CDOID> ids, CDOChangeSet targetChanges, CDOChangeSet sourceChanges)`

    Deprecated.
    As of 4.6 use `MergeData(CDOBranchPoint, CDORevisionAvailabilityInfo, CDOBranchPoint, CDORevisionAvailabilityInfo, Set, CDOChangeSet, CDOBranchPoint, CDORevisionAvailabilityInfo, CDOBranchPoint, CDORevisionAvailabilityInfo, Set, CDOChangeSet, CDOBranchPoint)`.

    `MergeData​(CDOBranchPoint target, CDORevisionAvailabilityInfo targetInfo, CDOBranchPoint targetBase, CDORevisionAvailabilityInfo targetBaseInfo, java.util.Set<CDOID> targetIDs, CDOChangeSet targetChanges, CDOBranchPoint source, CDORevisionAvailabilityInfo sourceInfo, CDOBranchPoint sourceBase, CDORevisionAvailabilityInfo sourceBaseInfo, java.util.Set<CDOID> sourceIDs, CDOChangeSet sourceChanges, CDOBranchPoint resultBase)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOBranchPoint` | `getAncestor()` | Deprecated. As of 4.6 use `getTargetBase()`.
    `CDORevisionAvailabilityInfo` | `getAncestorInfo()` | Deprecated. As of 4.6 use `getTargetBaseInfo()`.
    `CDORevisionAvailabilityInfo` | `getBaseInfo()` | Deprecated. As of 4.6 use `getSourceBaseInfo()`.
    `java.util.Set<CDOID>` | `getIDs()` |
    `CDOBranchPoint` | `getResultBase()` |
    `CDOBranchPoint` | `getSource()` |
    `CDOBranchPoint` | `getSourceBase()` |
    `CDORevisionAvailabilityInfo` | `getSourceBaseInfo()` |
    `CDOChangeSet` | `getSourceChanges()` |
    `java.util.Set<CDOID>` | `getSourceIDs()` |
    `CDORevisionAvailabilityInfo` | `getSourceInfo()` |
    `CDOBranchPoint` | `getTarget()` |
    `CDOBranchPoint` | `getTargetBase()` |
    `CDORevisionAvailabilityInfo` | `getTargetBaseInfo()` |
    `CDOChangeSet` | `getTargetChanges()` |
    `java.util.Set<CDOID>` | `getTargetIDs()` |
    `CDORevisionAvailabilityInfo` | `getTargetInfo()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MergeData

          @Deprecated
          public MergeData​(CDOBranchPoint target,
                           CDOBranchPoint source,
                           CDOBranchPoint sourceBase,
                           CDOBranchPoint targetBase,
                           CDORevisionAvailabilityInfo targetInfo,
                           CDORevisionAvailabilityInfo sourceInfo,
                           CDORevisionAvailabilityInfo sourceBaseInfo,
                           CDORevisionAvailabilityInfo targetBaseInfo,
                           java.util.Set<CDOID> ids,
                           CDOChangeSet targetChanges,
                           CDOChangeSet sourceChanges)

      Deprecated.
      As of 4.6 use `MergeData(CDOBranchPoint, CDORevisionAvailabilityInfo, CDOBranchPoint, CDORevisionAvailabilityInfo, Set, CDOChangeSet, CDOBranchPoint, CDORevisionAvailabilityInfo, CDOBranchPoint, CDORevisionAvailabilityInfo, Set, CDOChangeSet, CDOBranchPoint)`.

    - #### MergeData

          public MergeData​(CDOBranchPoint target,
                           CDORevisionAvailabilityInfo targetInfo,
                           CDOBranchPoint targetBase,
                           CDORevisionAvailabilityInfo targetBaseInfo,
                           java.util.Set<CDOID> targetIDs,
                           CDOChangeSet targetChanges,
                           CDOBranchPoint source,
                           CDORevisionAvailabilityInfo sourceInfo,
                           CDOBranchPoint sourceBase,
                           CDORevisionAvailabilityInfo sourceBaseInfo,
                           java.util.Set<CDOID> sourceIDs,
                           CDOChangeSet sourceChanges,
                           CDOBranchPoint resultBase)

      Since:
        4.6

  - ### Method Detail

    - #### getTarget

          public CDOBranchPoint getTarget()

    - #### getTargetInfo

          public CDORevisionAvailabilityInfo getTargetInfo()

    - #### getTargetBase

          public CDOBranchPoint getTargetBase()

      Since:
        4.6

    - #### getTargetBaseInfo

          public CDORevisionAvailabilityInfo getTargetBaseInfo()

      Since:
        4.6

    - #### getTargetIDs

          public java.util.Set<CDOID> getTargetIDs()

      Since:
        4.6

    - #### getTargetChanges

          public CDOChangeSet getTargetChanges()

    - #### getSource

          public CDOBranchPoint getSource()

    - #### getSourceInfo

          public CDORevisionAvailabilityInfo getSourceInfo()

    - #### getSourceBase

          public CDOBranchPoint getSourceBase()

    - #### getSourceBaseInfo

          public CDORevisionAvailabilityInfo getSourceBaseInfo()

      Since:
        4.6

    - #### getSourceIDs

          public java.util.Set<CDOID> getSourceIDs()

      Since:
        4.6

    - #### getSourceChanges

          public CDOChangeSet getSourceChanges()

    - #### getResultBase

          public CDOBranchPoint getResultBase()

      Since:
        4.6

    - #### getIDs

          public java.util.Set<CDOID> getIDs()

    - #### getAncestor

          @Deprecated
          public CDOBranchPoint getAncestor()

      Deprecated.
      As of 4.6 use `getTargetBase()`.

    - #### getBaseInfo

          @Deprecated
          public CDORevisionAvailabilityInfo getBaseInfo()

      Deprecated.
      As of 4.6 use `getSourceBaseInfo()`.

    - #### getAncestorInfo

          @Deprecated
          public CDORevisionAvailabilityInfo getAncestorInfo()

      Deprecated.
      As of 4.6 use `getTargetBaseInfo()`.